{% extends 'base.html.twig' %}

{% block body -%}
<main class='main-content bgc-grey-100'>
    <div id='mainContent'>
    <div align="right">
        <button id="btn-refresh" class="btn btn-info"><i class="igroove-reload"></i> Refresh Mikrotik
        </button>
    </div>

    <h1>Gestione dispositivi</h1>

    <table class="table table-striped table-hover ">
        <thead>
        <tr>
            <th>Mac</th>
            <th>Dispositivo</th>
            <th>Lista</th>
            <th>IPs</th>
            <th>Bypass su hotspot</th>
            <th>Attivo</th>
        </tr>
        </thead>
        <tbody>
        {% for entity in pagination %}
            <tr>
                <td><a href="{{ path('device_edit', { 'id': entity.id }) }}">
                        <span class="icon-edit"></span> {{ entity.mac|upper }}</a></td>
                <td>{{ entity.device }}</td>
                <td>{{ entity.mikrotikList }}</td>
                <td>{{ entity.ips|join(', ') }}</td>
                {#<td>{% for k, ip as entity.ips %}{{ ip }}{% if k > 0 %},{% endif %}{% endfor %}</td>#}
                <td>
                    <i class="{{ entity.bypassHotspot  ?  'ti-check' : 'ti-close' }}"></i>
                </td>

                <td><i class="{{ entity.active  ?  'ti-check' : 'ti-close' }}"></i>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    <div class="row">
        <div class="col-md-4">
            <div class="navigation" style="margin: -20px 0;">
                {{ knp_pagination_render(pagination) }}
            </div>
        </div>
        <div class="col-md-4 text-center">
            <a class="btn btn-success" href="{{ path('device_new') }}">
                Aggiungi un nuovo dispositivo
            </a>
        </div>
        <div class="col-md-4 text-right">
            <form class="form-search" action="{{ path('device') }}">
                <div class="form-group">

                    <select style="width: inherit; display: inline;" id="mikrotikListId" name="mikrotikListId"
                            class="form-control">
                        <option value="-1">Tutte le liste</option>
                        {% for entity in mikrotikLists %}
                            <option value="{{ entity.id }}"

                                    {{ ((filter.mikrotikListId is defined) and (entity.id==filter.mikrotikListId))?"selected" }}
                            >{{ entity.nome }}</option>
                        {% endfor %}
                    </select>

                    <input type="text" style="width: inherit; display: inline;"
                           id="queryString" name="queryString" class="form-control" placeholder="Cerca"
                           value="{{ (filter.queryString is defined)?filter.queryString|escape('html') }}">
                    <button class="btn btn-secondary" type="submit"><i class="ti-search"></i></button>
                    <br/>
                    <input type="checkbox" id="onlyActive"
                           name="onlyActive" {{ (filter.onlyActive is defined)?(filter.onlyActive?"checked") }}>
                    Visualizza solo accessi attivi
                </div>

            </form>
        </div>
    </div>
    </div>
</main>
{% endblock %}


{% block javascripts %}
    {{ parent() }}
    <script>
        $('#btn-refresh').click(function () {
            value = "<i class=\"ti-reload\"></i> Refresh Mikrotik";
            $('#btn-refresh').html(value);
            $.ajax({
                url: "{{ path('mikrotik_refresh') }}"
            }).done(function () {
                value = "<i class=\"ti-reload\"></i> Refresh Mikrotik";
                $('#btn-refresh').html(value);
            });
        });
    </script>
{% endblock %}

